!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Subroutine CloseDiagDataFile
!
!   * Developer: KITAMORI Taichi
!   * Version: $Id: closediagdatafile.f90,v 1.1.2.1 2005/09/01 14:52:13 kitamo Exp $ 
!   * Tag Name: $Name: arare3m-20051114 $
!   * Change History: 
!
!== Overview 
!
!$B?GCGNL=PNO%U%!%$%k$N%/%m!<%:(B. 
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!== Future Plans
!
                                                                 !=end

subroutine CloseDiagDataFile(history)
                                                                 !=begin
  !== Dependency
  use gt4_history
  use dc_trace, only: BeginSub, EndSub

                                                                 !=end  
  !== $B0EL[$N7?@k8@6X;_(B
  implicit none

  !=== Input
  type(GT_HISTORY), intent(inout) :: history

  call BeginSub("CloseDiagDataFile", &
       &         fmt="%c",            &
       &         c1="Close output file for diagnostic variables.")

  !=== $B%U%!%$%k$rJD$8$k(B
  call HistoryClose(history)
  
  call EndSub("CloseDiagDataFile")
  
end subroutine CloseDiagDataFile
